argument_specs:
  main:
    version_added: 1.0.0
    short_description: Role for creating, managing and deleting groups.
    options:
      keycloak_groups:
        default: []
        description: List of groups to create or delete in Keycloak.
        type: list
        elements: dict

      # Standard auth parameters
      keycloak_auth_url:
        default: "{{ lookup('env', 'KEYCLOAK_URL') }}"
        description: URL to the Keycloak or Red Hat SSO instance.
        type: str
      keycloak_auth_username:
        default: "{{ lookup('env', 'KEYCLOAK_USERNAME') }}"
        description: Username to authenticate for API access with.
        type: str
      keycloak_auth_password:
        default: "{{ lookup('env', 'KEYCLOAK_PASSWORD') }}"
        description: Password to authenticate for API access with.
        type: str
      keycloak_auth_realm:
        default: master
        description: Keycloak realm name to authenticate to for API access.
        type: str
      keycloak_auth_client_id:
        default: admin-cli
        description: OpenID Connect I(client_id) to authenticate to the API with.
        type: str
      keycloak_auth_client_secret:
        description: Client Secret to use in conjunction with I(keycloak_auth_client_id) (if required).
        type: str
      keycloak_auth_token:
        description: Authentication token to authenticate for API access with.
        type: str
        default: true
      keycloak_validate_certs:
        description: Verify TLS certificates (do not disable this in production).
        type: bool

      # Secure logging parameters
      keycloak_groups_secure_logging:
        default: "{{ keycloak_secure_logging | default(false) }}"
        required: false
        type: bool
        description: Whether or not to include the sensitive tasks from this role in the log. Set this value to `true` if you will be providing your sensitive values from elsewhere.
      keycloak_secure_logging:
        default: false
        required: false
        type: bool
        description: This variable enables secure logging across all roles as a default.
